rpm 4.11.1-rc1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

ARGI_s |
pgpPktCdata_s |
pgpPktEdata_s |
pgpPktKey_u | 5.5.3
pgpPktKeyV3_s | 5.5.1
pgpPktKeyV4_s | The version 4 format is similar to the version 3 format except for the absence of a validity period
pgpPktLdata_s |
pgpPktOnepass_s | 5.4
pgpPktPre_u |
pgpPktPubkey_s | 5.1
pgpPktSig_u | 5.2
pgpPktSigV3_s | 5.2.2
pgpPktSigV4_s | 5.2.3
pgpPktSymkey_s | 5.3
pgpPktTrust_s |
pgpPktUid_s |
rpmBuildArguments_s | Describe build request
rpmInstallArguments_s | Describe database command line requests
rpmop_s | Cumulative statistics for an operation
rpmQVKArguments_s | Describe query/verify/signature command line operation
rpmRelocation_s | We pass these around as an array with a sentinel
rpmSignArgs |
rpmsw_s |
rpmtd_s | Container for rpm tag data (from headers or extensions)